﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WoodPelletShop
{
    public class Address
    {
        public string Street { get; set; }
        public string StreetNo { get; set; }
        public string City { get; set; }
        public string ZipCode { get; set; }

        public Address()
        {
        }

        public Address(string street, string streetNo, string city, string zipCode)
        {
            Street = street;
            StreetNo = streetNo;
            City = city;
            ZipCode = zipCode;
        }

        public override string ToString()
        {
            return $"{{{nameof(Street)}={Street}, {nameof(StreetNo)}={StreetNo}, {nameof(City)}={City}, {nameof(ZipCode)}={ZipCode}}}";
        }
    }
}
